package com.srs.routine.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.routine.domain.RtClassMettingContent;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * 班会内容Service接口
 *
 * @author srs
 * @date 2024-05-18
 */
public interface IRtClassMettingContentService extends IService<RtClassMettingContent> {


    public AjaxResult listStuFdyClass();

    public AjaxResult listStuByClassId( Long classId);

    /**
     * 查询班会内容
     *
     * @param crId 班会内容主键
     * @return 班会内容
     */
    public RtClassMettingContent selectRtClassMettingContentByCrId(Long crId);

    /**
     * 查询班会内容列表
     *
     * @param rtClassMettingContent 班会内容
     * @return 班会内容集合
     */
    List<RtClassMettingContent> selectRtClassMettingContentList(RtClassMettingContent rtClassMettingContent);

    /**
     * 新增班会内容
     *
     * @param rtClassMettingContent 班会内容
     * @return 结果
     */
    AjaxResult insertRtClassMettingContent(RtClassMettingContent rtClassMettingContent);

    /**
     * 修改班会内容
     *
     * @param rtClassMettingContent 班会内容
     * @return 结果
     */
    int updateRtClassMettingContent(RtClassMettingContent rtClassMettingContent);

    /**
     * 批量删除班会内容
     *
     * @param crIds 需要删除的班会内容主键集合
     * @return 结果
     */
    int deleteRtClassMettingContentByCrIds(Long[] crIds);

    /**
     * 删除班会内容信息
     *
     * @param crId 班会内容主键
     * @return 结果
     */
    int deleteRtClassMettingContentByCrId(Long crId);
}
